using System;
using System.Collections.Generic;
using TheGameExtreme.model.card;

namespace TheGameExtreme.model.gameActions
{
    public class Piles
    {

        private List<Stack<Card>> ListOrderedStacks { get; set; }

        public Piles()
        {
            ListOrderedStacks = new List<Stack<Card>>();

            ListOrderedStacks.Add(new Stack<Card>());
            ListOrderedStacks.Add(new Stack<Card>());
            ListOrderedStacks.Add(new Stack<Card>());
            ListOrderedStacks.Add(new Stack<Card>());

            for (int i = 0; i < 4; i++)
            {
                if (i < 2)
                {
                    ListOrderedStacks[i].Push(new ClassicCard(1));
                }
                else
                {
                    ListOrderedStacks[i].Push(new ClassicCard(100));
                }
            }
        }

        public Stack<Card> getStack(int i)
        {
            return ListOrderedStacks[i];
        }
    }
}
